/*
VODKA-INDUCED ENTERTAINMENT ADVANCED SOUND MANAGER v0.9
COMPATIBILITY LAYER FOR WOLF4SDL v1.6 - SOUND NAMES REFERENCE FILE
BY GERARD 'ALUMIUN' WATSON

MODIFIED BY WOLF 'WSJ' SKEVOS-JONES
*/

#ifndef _ASMCREF_H_
#define _ASMCREF_H_

// This table holds the file names for the sounds defined in AUDIOWL6.H.
// Change these to suit your sounds and your AUDIOHED.WL6 or SOD file.

#define SOUNDDIR "sounds\\"
#define MUSICDIR "music\\"

const char *ASM_Soundnames[NUMSOUNDS] = {
	"blank.ogg",
	"HITWALL.ogg",
	"CURSORMOVE.ogg",           // MOVEGUN1SND
	"CURSORMOVE.ogg",           // MOVEGUN2SND
	"NOWAY.ogg",
	"PLAYERDEATH.ogg",
	"DOGDEATH.ogg",
	"ATKSTG44.ogg",
	"GETKEY.ogg",
	"OPENDOOR.ogg",
	"CLOSEDOOR.ogg",
	"GRDSIGHT1.ogg",
	"GRDDEATH2.ogg",
	"ATKKNIFE.ogg",
	"ATKPISTOL.ogg",
	"GRDDEATH3.ogg",
	"ATKMP40.ogg",
	"HITENEMY.ogg",
	"RICOCHET2.ogg",            // SHOOTDOORSND
	"GRDDEATH1.ogg",
	"GETWEAPON.ogg",            // GETMACHINESND
	"GETITEM.ogg",              // GETAMMOSND
	"CURSORSELECT.ogg",         // SHOOTSND
	"GETITEM.ogg",              // HEALTH1SND
	"GETITEM.ogg",              // HEALTH2SND
      "GETITEM.ogg",              // BONUS1SND
      "GETITEM.ogg",              // BONUS2SND
      "GETITEM.ogg",              // BONUS3SND
	"CURSORMOVE.ogg",           // ESCPRESSED
	"LEVELDONE.ogg",
	"USEMG42.ogg",
	"DOGBARK.ogg",
	"ATKMAUSER.ogg",            // ENDBONUS1SND
	"RICOCHET1.ogg",            // ENDBONUS2SND
	"BONUS1UP.ogg",
      "GETITEM.ogg",              // BONUS4SND
	"PUSHWALL.ogg",
	"NOBONUS.ogg",
	"PERCENT100.ogg",
	"BOSS1DEATH.ogg",
	"GRDSIGHT2.ogg",
	"GRDDEATH7.ogg",
	"BOSS1SIGHT.ogg",
	"MECHDEATH1.ogg",
	"ATKKAR98.ogg",
	"ATKCHAINGUN.ogg",
	"ATKMAUSER.ogg",
	"SLURPIE.ogg",
	"BOSS2SIGHT.ogg",
	"BOSS2DEATH.ogg",
	"BOSS1TAUNT1.ogg",
	"BOSS1TAUNT2.ogg",
	"GRDSIGHT3.ogg",
	"MECHDEATH2.ogg",
	"DOGATTACK.ogg",
	"FLAMETHROWER.ogg",
	"GRDDEATH4.ogg",
	"GRDDEATH5.ogg",
	"GRDDEATH6.ogg",
	"GRDDEATH8.ogg",
	"GRDDEATH9.ogg",
	"MUTANTDEATH1.ogg",
	"MUTANTDEATH2.ogg",
	"MUTANTDEATH3.ogg",
	"BOSS1TAUNT3.ogg",
	"BOSS1TAUNT4.ogg",
	"BOSS1TAUNT5.ogg",
	"BOSS1TAUNT6.ogg",
	"BOSS1TAUNT7.ogg",
	"BOSS1TAUNT8.ogg",
	"MISSILEFIRE.ogg",
	"MISSILEHIT.ogg",
	"GRDSIGHT4.ogg",
	"GRDSIGHT5.ogg",
	"GRDSIGHT6.ogg",
	"GRDALERT1.ogg",
	"GRDHEAR1.ogg",
	"GRDHEAR2.ogg",
	"GRDHEAR3.ogg",
	"GRDALERT1.ogg",
	"GRDALERT2.ogg",
	"GRDFINDBODY1.ogg",
	"GRDFINDBODY2.ogg",
	"GRDFINDBODY3.ogg",
	"GRDSEARCH1.ogg",
	"GRDSEARCH2.ogg",
	"GRDSEARCH3.ogg",
	"GRDSEARCH4.ogg",
	"GRDSEARCH5.ogg",
	"GRDSEARCH6.ogg",
	"GRDCOMBAT1.ogg",
	"GRDCOMBAT2.ogg",
	"GRDCOMBAT3.ogg",
	"GRDCOMBAT4.ogg",
	"GRDCOMBAT5.ogg",
	"GRDCOMBAT6.ogg",
	"OFCSEARCH1.ogg",
	"OFCSEARCH2.ogg",
	"OFCSEARCH3.ogg",
	"OFCSEARCH4.ogg",
	"OFCSEARCH5.ogg",
	"OFCSEARCH6.ogg",
	"DOGBARK1.ogg",
	"DOGBARK2.ogg",
	"DOGBARK3.ogg",
	"DOGBARK4.ogg",
	"DOGATTACK1.ogg",
	"DOGATTACK2.ogg",
	"DOGDEATH1.ogg",
	"DOGDEATH2.ogg",
	"DOGDEATH3.ogg",
	"RICOCHET1.ogg",
	"RICOCHET2.ogg",
	"RICOCHET3.ogg",
	"HEAVYDEATH1.ogg",
	"HEAVYDEATH2.ogg",
	"KAR98BOLT.ogg",
	"ATKMG42.ogg",
	"ATKFLAKGUN.ogg",
	"EXPLOSION1.ogg",
	"EXPLOSION2.ogg",
	"EXPLOSION3.ogg",
	"MUTANTFIRE.ogg",
	"GRDBURN1.ogg",
	"GRDBURN2.ogg",
	"GRDBURN3.ogg",
	"GRDBURN4.ogg",
	"ROAR1.ogg",
	"ROAR2.ogg",
	"GROWL1.ogg",
	"GROWL2.ogg",
	"BOSS3SIGHT.ogg",
	"BOSS3DEATH.ogg",
	"BOSS3TAUNT1.ogg",
	"BOSS3TAUNT2.ogg",
	"BOSS3TAUNT3.ogg",
	"BOSS3TAUNT4.ogg",
	"BOSS3TAUNT5.ogg",
	"BOSS3TAUNT6.ogg",
	"BOSS3TAUNT7.ogg",
	"BOSS4SIGHT.ogg",
	"BOSS4DEATH.ogg",
	"BOSS4TAUNT1.ogg",
	"BOSS4TAUNT2.ogg",
	"BOSS4TAUNT3.ogg",
	"BOSS4TAUNT4.ogg",
	"BOSS4TAUNT5.ogg",
	"BOSS4TAUNT6.ogg",
	"BOSS4TAUNT7.ogg",
	"BOSS4TAUNT8.ogg",
	"BOSS4TAUNT9.ogg",

	"AMBFOOTSTEPS.ogg",
	"AMBDOOR1.ogg",
	"AMBDOOR2.ogg",
	"AMBCHAINS1.ogg",
	"AMBCHAINS2.ogg",
	"AMBCOUGH1.ogg",
	"AMBCOUGH2.ogg",
	"AMBTORTURE1.ogg",
	"AMBTORTURE2.ogg",
	"AMBTORTURE3.ogg",
	"AMBTORTURE4.ogg",
	"AMBTORTURE5.ogg",
	"AMBMACHINE1.ogg",
	"AMBMACHINE2.ogg",
	"AMBELECTRO.ogg",
	"AMBRESTROOM.ogg",
	"AMBDRIPPING.ogg",
	"AMBGUNFIRE1.ogg",
	"AMBGUNFIRE2.ogg",
	"AMBGUNFIRE3.ogg",
	"AMBGUNFIRE4.ogg",
	"AMBGUNFIRE5.ogg",
	"AMBGUNFIRE6.ogg",
	"AMBGUNFIRE7.ogg",
	"AMBGUNFIRE8.ogg"
};

#endif  // _ASMCREF_H_
